<?php
/**
 * 金戈企业建站系统：首页文件
 *
 *
 * @name 
 * @author 烟鬼 QQ:460874 Email:460874@qq.com
 * @version 0.1  $id  index.php
 * @copyright Copyright (c) 2007 - 2008 烟鬼
 */
require('header.php');
//取出qyjj表的所有内容，方法在data.php中定义
$qyjj = root_all(qyjj); 

//将取出的内容构造成相关数组。函数在myfun.php中定义
//如果没有企业简介，将给出默认值
if ($qyjj) 
{
	$qyjj = setassoc($qyjj);  
	
	$qyjj['jj_nr'] = my_s($qyjj['jj_nr']); 

	//为了页面的和谐，只需要356个字节
	if (strlen($qyjj['jj_nr']) > 356) 
	{
     	$qyjj['jj_nr'] = substr($qyjj['jj_nr'],0,355);
	}
}


//取出首页推荐产品
$index_cp = root_allmit();

//如果没与产品或无首页推荐产品将给出默认值
if (!$index_cp) 
{
     $index_cp[0]['cp_img'] = 'up/image/noimg.jpg';
     $index_cp[0]['cp_name'] = NOIC;
     $index_cp[0]['cp_id'] = '#';
}

//取出首页的折叠部分
$index_zd = root_all(danye);
if ($index_zd) 
{
     $index_zd = setassoc($index_zd);
}


$smarty->assign('index_zd',$index_zd);
$smarty->assign('index_cp',$index_cp);
$smarty->assign('qyjj',$qyjj['jj_nr']);
$smarty->display('index.html');
require('footer.php');
?>